Bug 103803 - option to disable drag and drop
option to disable drag and drop
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Text
6.x
All All
: P3 with 5 votes (vote)
: 8.2
Assigned To: issues@editor
issues@platform
82patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-11 18:50 UTC by jerrett
Modified: 2016-12-13 10:42 UTC (History)
3 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jerrett 2007-05-11 18:50:30 UTC
I can see why some people might want it, but i hate it - when I'm dragging in a
text editor I'm trying to select text! 


Please give me an option to turn it off :)
Comment 1 Vitezslav Stejskal 2007-05-14 04:27:06 UTC
Do you mean to turn it off just in the editor or in the whole IDE?
Comment 2 jerrett 2007-05-14 17:15:31 UTC
Just in the editor part
Comment 3 Vitezslav Stejskal 2007-05-15 04:16:15 UTC
Ok, thanks. I think most people *do* want to have DnD in editor. We could
probably add a command-line switch to disable it.

AFAIK DnD support is implemented in openide/text.
Comment 4 jerrett 2007-05-15 19:18:49 UTC
I think it's important enough that it should be an option in the configuration,
at the very least one in the "Advanced Options" configuration 


nothing more annoying than going to select text and accidentally totally
trashing your code.

Fortunately it currently doesn't work, so i just get a java exception message,
which I'd much rather have than the text being moved :)
Comment 5 Antonin Nebuzelsky 2008-04-17 15:14:26 UTC
Reassigning to new module owner mslama.
Comment 6 mslama 2008-10-17 16:40:38 UTC
NPE when dropping text was fixed. It did not break drop anyway. openide.text implements DnD support but has no space in
options. Where should we put it in Options?
Comment 7 wy2lam 2009-11-19 19:27:55 UTC
Disabling drag and drop editing is among the very first settings I make whenever I use a source code editor - whether it's UltraEdit, Notepad++ or even IntelliJ.

I prefer my code to not get accidentally dragged when I'm just trying to select and reselect texts, or when I double click a word and then drag to enter "word select" mode where the mouse movement does not need to be precise in order to make the correct selections.

In these cases, I prefer any clicks and movements from the mouse sees the code as "read only", just like a text editor that does not support drag-n-drop - unless I explicitly change it by clicking on cut/copy/paste commands.

There are a lot of reasons and a lot of places drag-n-drop is useful, but at least for me, not when writing code - how often do people find they need to drag source code from one place to another in the same file?
Comment 8 ericjs 2014-04-24 22:02:52 UTC
I can't strongly enough express my support for this option. Does anybody even actually use drag and drop text selection / moving? I don't even see how the feature makes sense, treating an arbitrary sting of text within the flow of a page and moving it like it were a two dimensional object.

It boggles my mind that there is no way to turn it off.
Comment 9 RAM518 2015-11-07 01:27:42 UTC
+1 times infinity
Comment 10 mdindoffer 2016-10-28 09:35:01 UTC
+1 This should take only a few minutes to implement for someone who knows how the netbeans RCP works. Is the netbeans development halted or something? Nothing gets done anymore. Is everyone waiting for the Apache incubator transition?
Comment 11 Miloslav Metelka 2016-12-05 13:49:38 UTC
I've added a cmd line option to disable D&D it's

-J-Dorg.netbeans.editor.dnd.disabled=true

(with -J added for netbeans.conf syntax)

http://hg.netbeans.org/jet-main/rev/e5ff6884dba6
Comment 12 Quality Engineering 2016-12-07 02:40:09 UTC
Integrated into 'main-silver', will be available in build *201612070001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/e5ff6884dba6
User: Miloslav Metelka <mmetelka@netbeans.org>
Log: #103803 - option to disable drag and drop -J-Dorg.netbeans.editor.dnd.disabled=true
Comment 13 Miloslav Metelka 2016-12-09 23:15:26 UTC
Transplanted into release82 as 9b274bd636c4.
Comment 14 Jiri Prox 2016-12-13 10:42:25 UTC
verified in 8.2 patch1


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo